package com.ruoyi.invest.mapper;

import com.ruoyi.invest.domain.BankCardLend;
import com.ruoyi.invest.domain.dto.BankCardLendDto;
import com.ruoyi.invest.domain.vo.BankCardLendVo;

import java.util.List;

/**
 * 银行卡信息Mapper接口
 *
 * @author tianyongbao
 * @date 2024-03-18
 */
public interface BankCardLendMapper
{
    /**
     * 查询银行卡信息
     *
     * @param id 银行卡信息主键
     * @return 银行卡信息
     */
    public BankCardLendVo selectBankCardLendById(Long id);

    /**
     * 查询银行卡信息列表
     *
     * @param bankCardLendDto 银行卡信息
     * @return 银行卡信息集合
     */
    public List<BankCardLendVo> selectBankCardLendList(BankCardLendDto bankCardLendDto);

    /**
     * 新增银行卡信息
     *
     * @param bankCard 银行卡信息
     * @return 结果
     */
    public int insertBankCardLend(BankCardLend bankCard);

    /**
     * 修改银行卡信息
     *
     * @param bankCard 银行卡信息
     * @return 结果
     */
    public int updateBankCardLend(BankCardLend bankCard);

    /**
     * 删除银行卡信息
     *
     * @param id 银行卡信息主键
     * @return 结果
     */
    public int deleteBankCardLendById(Long id);

    /**
     * 批量删除银行卡信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBankCardLendByIds(Long[] ids);

    /**
     * 逻辑删除银行卡信息
     *
     * @param id 银行卡信息主键
     * @return 结果
     */
    public int removeBankCardLendById(Long id);

    /**
     * 批量逻辑删除银行卡信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int removeBankCardLendByIds(Long[] ids);
}
